MyEclipse中创建Struts出现错误的解决办法

本文运行环境:

JDK1.4.03,Tomcat5.0.28,Eclipse3.1.2中文版,MyEclipse4.1,TomcatPlugin,Struts1.2。

在MyEclipse中,创建Struts时,有时会出现如下的错误,

No available Struts 1.2 projects found in workspace.All MyEclipse Struts 1.2 wizards requirs at least 1 properly configured Struts 1.2 project exist in your workspace.If your workspace current cotains Struts 1.2 project please ensure that they are opened and that their web.xml is valid.

Please remedy this situation and try again.

如图一所示:


图一

不要紧,只要重新构建一下项目即可

第一步,右键选择项目-MyEclipse-Add WebProject Capabilities如图二


图二

构建完毕后,就不会出现刚才的错误了,但是如果要正常的创建Struts框架,还要Add Struts Capabilities,右键选择项目-MyEclipse-Add Struts Capabilities如图三、图四


图三


图四

点击完成,会发现WEB-INF文件夹下,多了struts的相关文件。

OK了,现在再重新创建Struts,就会一切顺利了~

有不正确的地方,还请各位网友指正!

阅读更多
换一批

没有更多推荐了,返回首页